Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am using Xubuntu 11.10 Oneric on an old ThinkPad.

Often, when I run sudo apt-get purge/remove [software package], the requested software package, say, gnome-shell, is removed and replaced with what appears to be ubuntu-desktop and all it's dependencies. I didn't read that it was installing anything so I just continued.

The same thing happened when I removed chromium-browser, only to be replaced with epiphany.

The terminal session is here (with some parts removed due to body restrictions), and more evidence of this said bug also appears when I try to remove the wrongly installed unity package:

marco@ThinkPad:~$ sudo apt-get purge gnome-shell
**(parts removed)**
The following packages were automatically installed and are no longer required:
  gir1.2-gstreamer-0.10 epiphany-browser-data libseed-gtk3-0 gnome-js-common
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  appmenu-gtk appmenu-gtk3 appmenu-qt bamfdaemon banshee
  banshee-extension-soundmenu brasero brasero-cdrkit brasero-common cli-common
  compiz compiz-core compiz-gnome compiz-plugins-default
  compiz-plugins-main-default compizconfig-backend-gconf dvd+rw-tools geoclue
  geoclue-ubuntu-geoip growisofs indicator-appmenu indicator-datetime
  indicator-power indicator-session libbamf3-0 libboost-serialization1.46.1
  libbrasero-media3-1 libcompizconfig0 libdbus-glib1.0-cil libdbus1.0-cil
  libdbusmenu-qt2 libdecoration0 libgconf2.0-cil libgdata1.7-cil libgdiplus
  libgeoclue0 libgkeyfile1.0-cil libglew1.5 libglewmx1.5 libglib2.0-bin
  libglib2.0-cil libgmime-2.4-2 libgtk-sharp-beans-cil libgtk2.0-cil
  libgudev1.0-cil libmono-addins0.2-cil libmono-cairo4.0-cil
  libmono-corlib4.0-cil libmono-i18n-west4.0-cil libmono-i18n4.0-cil
  libmono-posix4.0-cil libmono-security4.0-cil libmono-sharpzip4.84-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil
  libmono-system-drawing4.0-cil libmono-system-security4.0-cil
  libmono-system-xml4.0-cil libmono-system4.0-cil libmono-zeroconf1.0-cil
  libmtp-common libmtp-runtime libmtp9 libnotify0.4-cil libnux-1.0-0
  libnux-1.0-common libprotobuf7 libquvi0 libtaglib2.0-cil libtotem-plparser17
  libunity-core-4.0-4 libunity-misc4 media-player-info mono-4.0-gac mono-gac
  mono-runtime nux-tools unity unity-asset-pool unity-common
  unity-lens-applications unity-lens-files unity-lens-music
  unity-scope-musicstores unity-services wodim zeitgeist-extension-fts
Suggested packages:
  gstreamer0.10-plugins-bad gstreamer0.10-plugins-ugly gstreamer0.10-ffmpeg
  banshee-extension-ubuntuonemusicstore banshee-dbg vcdimager libdvdcss2
  dvdauthor readom compizconfig-settings-manager gnome-themes cdrskin
  gstreamer0.10-fluendo-mp3 cdrdao monodoc-gtk2.0-manual glew-utils1.5
  libmono-i18n4.0-all cdrkit-doc
The following packages will be REMOVED
  gnome-shell*
The following NEW packages will be installed
  appmenu-gtk appmenu-gtk3 appmenu-qt bamfdaemon banshee
  banshee-extension-soundmenu brasero brasero-cdrkit brasero-common cli-common
  compiz compiz-core compiz-gnome compiz-plugins-default
  compiz-plugins-main-default compizconfig-backend-gconf dvd+rw-tools geoclue
  geoclue-ubuntu-geoip growisofs indicator-appmenu indicator-datetime
  indicator-power indicator-session libbamf3-0 libboost-serialization1.46.1
  libbrasero-media3-1 libcompizconfig0 libdbus-glib1.0-cil libdbus1.0-cil
  libdbusmenu-qt2 libdecoration0 libgconf2.0-cil libgdata1.7-cil libgdiplus
  libgeoclue0 libgkeyfile1.0-cil libglew1.5 libglewmx1.5 libglib2.0-bin
  libglib2.0-cil libgmime-2.4-2 libgtk-sharp-beans-cil libgtk2.0-cil
  libgudev1.0-cil libmono-addins0.2-cil libmono-cairo4.0-cil
  libmono-corlib4.0-cil libmono-i18n-west4.0-cil libmono-i18n4.0-cil
  libmono-posix4.0-cil libmono-security4.0-cil libmono-sharpzip4.84-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil
  libmono-system-drawing4.0-cil libmono-system-security4.0-cil
  libmono-system-xml4.0-cil libmono-system4.0-cil libmono-zeroconf1.0-cil
  libmtp-common libmtp-runtime libmtp9 libnotify0.4-cil libnux-1.0-0
  libnux-1.0-common libprotobuf7 libquvi0 libtaglib2.0-cil libtotem-plparser17
  libunity-core-4.0-4 libunity-misc4 media-player-info mono-4.0-gac mono-gac
  mono-runtime nux-tools unity unity-asset-pool unity-common
  unity-lens-applications unity-lens-files unity-lens-music
  unity-scope-musicstores unity-services wodim zeitgeist-extension-fts
0 upgraded, 87 newly installed, 1 to remove and 0 not upgraded.
Need to get 16.9 MB of archives.
After this operation, 62.3 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
**(parts removed)**
Fetched 16.9 MB in 3min 48s (74.0 kB/s)                                        
Extract templates from packages: 100%
Selecting previously deselected package bamfdaemon.
(Reading database ... 216368 files and directories currently installed.)
Unpacking bamfdaemon (from .../bamfdaemon_0.2.104-0ubuntu1.1_i386.deb) ...
Selecting previously deselected package libbamf3-0.
Unpacking libbamf3-0 (from .../libbamf3-0_0.2.104-0ubuntu1.1_i386.deb) ...
Selecting previously deselected package libglew1.5.
Unpacking libglew1.5 (from .../libglew1.5_1.5.7.is.1.5.2-1ubuntu4_i386.deb) ...
Selecting previously deselected package libnux-1.0-common.
Unpacking libnux-1.0-common (from .../libnux-1.0-common_1.16.0-0ubuntu1.1_all.deb) ...
Selecting previously deselected package libglewmx1.5.
Unpacking libglewmx1.5 (from .../libglewmx1.5_1.5.7.is.1.5.2-1ubuntu4_i386.deb) ...
Selecting previously deselected package libnux-1.0-0.
Unpacking libnux-1.0-0 (from .../libnux-1.0-0_1.16.0-0ubuntu1.1_i386.deb) ...
Selecting previously deselected package unity-services.
Unpacking unity-services (from .../unity-services_4.28.0-0ubuntu2_i386.deb) ...
Selecting previously deselected package libunity-core-4.0-4.
Unpacking libunity-core-4.0-4 (from .../libunity-core-4.0-4_4.28.0-0ubuntu2_i386.deb) ...
Selecting previously deselected package libunity-misc4.
Unpacking libunity-misc4 (from .../libunity-misc4_4.0.4-0ubuntu2_i386.deb) ...
Selecting previously deselected package unity-common.
Unpacking unity-common (from .../unity-common_4.28.0-0ubuntu2_all.deb) ...
Selecting previously deselected package compiz-core.
Unpacking compiz-core (from .../compiz-core_1%3a0.9.6+bzr20110929-0ubuntu6.1_i386.deb) ...
Selecting previously deselected package libdecoration0.
Unpacking libdecoration0 (from .../libdecoration0_1%3a0.9.6+bzr20110929-0ubuntu6.1_i386.deb) ...
Selecting previously deselected package compiz-plugins-default.
Unpacking compiz-plugins-default (from .../compiz-plugins-default_1%3a0.9.6+bzr20110929-0ubuntu6.1_i386.deb) ...
Selecting previously deselected package libprotobuf7.
Unpacking libprotobuf7 (from .../libprotobuf7_2.4.0a-2ubuntu2_i386.deb) ...
Selecting previously deselected package libcompizconfig0.
Unpacking libcompizconfig0 (from .../libcompizconfig0_0.9.5.94-0ubuntu2_i386.deb) ...
Selecting previously deselected package compizconfig-backend-gconf.
Unpacking compizconfig-backend-gconf (from .../compizconfig-backend-gconf_0.9.5.92-0ubuntu2_i386.deb) ...
Selecting previously deselected package compiz-gnome.
Unpacking compiz-gnome (from .../compiz-gnome_1%3a0.9.6+bzr20110929-0ubuntu6.1_i386.deb) ...
^[[A^[[ASelecting previously deselected package libboost-serialization1.46.1.
Unpacking libboost-serialization1.46.1 (from .../libboost-serialization1.46.1_1.46.1-5ubuntu2_i386.deb) ...
Selecting previously deselected package compiz-plugins-main-default.
Unpacking compiz-plugins-main-default (from .../compiz-plugins-main-default_1%3a0.9.6-0ubuntu4.2_i386.deb) ...
Selecting previously deselected package compiz.
Unpacking compiz (from .../compiz_1%3a0.9.6+bzr20110929-0ubuntu6.1_all.deb) ...
Selecting previously deselected package libglib2.0-bin.
Unpacking libglib2.0-bin (from .../libglib2.0-bin_2.30.0-0ubuntu4_i386.deb) ...
Selecting previously deselected package nux-tools.
Unpacking nux-tools (from .../nux-tools_1.16.0-0ubuntu1.1_i386.deb) ...
Selecting previously deselected package unity-asset-pool.
Unpacking unity-asset-pool (from .../unity-asset-pool_0.8.22-0ubuntu1_all.deb) ...
Selecting previously deselected package unity.
Unpacking unity (from .../unity_4.28.0-0ubuntu2_i386.deb) ...
Processing triggers for man-db ...
Processing triggers for libglib2.0-0 ...
Processing triggers for gconf2 ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Setting up bamfdaemon (0.2.104-0ubuntu1.1) ...
Rebuilding /usr/share/applications/bamf.index...
Setting up libbamf3-0 (0.2.104-0ubuntu1.1) ...
Setting up libglew1.5 (1.5.7.is.1.5.2-1ubuntu4) ...
Setting up libnux-1.0-common (1.16.0-0ubuntu1.1) ...
Setting up libglewmx1.5 (1.5.7.is.1.5.2-1ubuntu4) ...
Setting up libnux-1.0-0 (1.16.0-0ubuntu1.1) ...
Setting up unity-services (4.28.0-0ubuntu2) ...
Setting up libunity-core-4.0-4 (4.28.0-0ubuntu2) ...
Setting up libunity-misc4 (4.0.4-0ubuntu2) ...
Setting up unity-common (4.28.0-0ubuntu2) ...
Setting up compiz-core (1:0.9.6+bzr20110929-0ubuntu6.1) ...
Setting up libdecoration0 (1:0.9.6+bzr20110929-0ubuntu6.1) ...
Setting up compiz-plugins-default (1:0.9.6+bzr20110929-0ubuntu6.1) ...
Setting up libprotobuf7 (2.4.0a-2ubuntu2) ...
Setting up libcompizconfig0 (0.9.5.94-0ubuntu2) ...
Setting up compizconfig-backend-gconf (0.9.5.92-0ubuntu2) ...
Setting up compiz-gnome (1:0.9.6+bzr20110929-0ubuntu6.1) ...
Setting up libboost-serialization1.46.1 (1.46.1-5ubuntu2) ...
Setting up compiz-plugins-main-default (1:0.9.6-0ubuntu4.2) ...
Setting up compiz (1:0.9.6+bzr20110929-0ubuntu6.1) ...
Setting up libglib2.0-bin (2.30.0-0ubuntu4) ...
Setting up nux-tools (1.16.0-0ubuntu1.1) ...
Setting up unity-asset-pool (0.8.22-0ubuntu1) ...
Setting up unity (4.28.0-0ubuntu2) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
(Reading database ... 216937 files and directories currently installed.)
Removing gnome-shell ...
Processing triggers for man-db ...
Processing triggers for libglib2.0-0 ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Selecting previously deselected package libdbusmenu-qt2.
(Reading database ... 216915 files and directories currently installed.)
Unpacking libdbusmenu-qt2 (from .../libdbusmenu-qt2_0.9.0-0ubuntu2_i386.deb) ...
Selecting previously deselected package libmtp-common.
Unpacking libmtp-common (from .../libmtp-common_1.1.0-3ubuntu1_all.deb) ...
Selecting previously deselected package libmtp9.
Unpacking libmtp9 (from .../libmtp9_1.1.0-3ubuntu1_i386.deb) ...
Selecting previously deselected package appmenu-gtk.
Unpacking appmenu-gtk (from .../appmenu-gtk_0.3.0-0ubuntu1_i386.deb) ...
Selecting previously deselected package appmenu-gtk3.
Unpacking appmenu-gtk3 (from .../appmenu-gtk3_0.3.0-0ubuntu1_i386.deb) ...
Selecting previously deselected package appmenu-qt.
Unpacking appmenu-qt (from .../appmenu-qt_0.2.2-0ubuntu1.1_i386.deb) ...
Selecting previously deselected package libmono-corlib4.0-cil.
Unpacking libmono-corlib4.0-cil (from .../libmono-corlib4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libmono-system-xml4.0-cil.
Unpacking libmono-system-xml4.0-cil (from .../libmono-system-xml4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libmono-system-security4.0-cil.
Unpacking libmono-system-security4.0-cil (from .../libmono-system-security4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libmono-system-configuration4.0-cil.
Unpacking libmono-system-configuration4.0-cil (from .../libmono-system-configuration4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libmono-system4.0-cil.
Unpacking libmono-system4.0-cil (from .../libmono-system4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libmono-security4.0-cil.
Unpacking libmono-security4.0-cil (from .../libmono-security4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package mono-4.0-gac.
Unpacking mono-4.0-gac (from .../mono-4.0-gac_2.10.5-1_all.deb) ...
Selecting previously deselected package mono-gac.
Unpacking mono-gac (from .../mono-gac_2.10.5-1_all.deb) ...
Selecting previously deselected package mono-runtime.
Unpacking mono-runtime (from .../mono-runtime_2.10.5-1_i386.deb) ...
Selecting previously deselected package cli-common.
Unpacking cli-common (from .../cli-common_0.8~xamarin1_all.deb) ...
Selecting previously deselected package libmono-posix4.0-cil.
Unpacking libmono-posix4.0-cil (from .../libmono-posix4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libmono-system-core4.0-cil.
Unpacking libmono-system-core4.0-cil (from .../libmono-system-core4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libdbus1.0-cil.
Unpacking libdbus1.0-cil (from .../libdbus1.0-cil_0.7.0-4_all.deb) ...
Selecting previously deselected package libdbus-glib1.0-cil.
Unpacking libdbus-glib1.0-cil (from .../libdbus-glib1.0-cil_0.5.0-3build1_all.deb) ...
Selecting previously deselected package libglib2.0-cil.
Unpacking libglib2.0-cil (from .../libglib2.0-cil_2.12.10-2ubuntu1_i386.deb) ...
Selecting previously deselected package libgconf2.0-cil.
Unpacking libgconf2.0-cil (from .../libgconf2.0-cil_2.24.2-1_all.deb) ...
Selecting previously deselected package libgdata1.7-cil.
Unpacking libgdata1.7-cil (from .../libgdata1.7-cil_1.7.0.1-1build1_all.deb) ...
Selecting previously deselected package libgkeyfile1.0-cil.
Unpacking libgkeyfile1.0-cil (from .../libgkeyfile1.0-cil_0.1-2ubuntu2_all.deb) ...
Selecting previously deselected package libmono-cairo4.0-cil.
Unpacking libmono-cairo4.0-cil (from .../libmono-cairo4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libgdiplus.
Unpacking libgdiplus (from .../libgdiplus_2.10-2_i386.deb) ...
Selecting previously deselected package libmono-system-drawing4.0-cil.
Unpacking libmono-system-drawing4.0-cil (from .../libmono-system-drawing4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libgtk2.0-cil.
Unpacking libgtk2.0-cil (from .../libgtk2.0-cil_2.12.10-2ubuntu1_i386.deb) ...
Selecting previously deselected package libgtk-sharp-beans-cil.
Unpacking libgtk-sharp-beans-cil (from .../libgtk-sharp-beans-cil_2.14.1-2build2_all.deb) ...
Selecting previously deselected package libgudev1.0-cil.
Unpacking libgudev1.0-cil (from .../libgudev1.0-cil_0.1-2build1_all.deb) ...
Selecting previously deselected package libmono-sharpzip4.84-cil.
Unpacking libmono-sharpzip4.84-cil (from .../libmono-sharpzip4.84-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libmono-addins0.2-cil.
Unpacking libmono-addins0.2-cil (from .../libmono-addins0.2-cil_0.6.1-2ubuntu1_all.deb) ...
Selecting previously deselected package libmono-zeroconf1.0-cil.
Unpacking libmono-zeroconf1.0-cil (from .../libmono-zeroconf1.0-cil_0.9.0-3~ubuntu0.1_all.deb) ...
Selecting previously deselected package libnotify0.4-cil.
Unpacking libnotify0.4-cil (from .../libnotify0.4-cil_0.4.0~r3032-4~ubuntu0.1_all.deb) ...
Selecting previously deselected package libtaglib2.0-cil.
Unpacking libtaglib2.0-cil (from .../libtaglib2.0-cil_2.0.3.7+dfsg-1build1_all.deb) ...
Selecting previously deselected package banshee.
Unpacking banshee (from .../banshee_2.2.1-1ubuntu3_i386.deb) ...
Selecting previously deselected package banshee-extension-soundmenu.
Unpacking banshee-extension-soundmenu (from .../banshee-extension-soundmenu_2.2.1-1ubuntu3_i386.deb) ...
Selecting previously deselected package libgmime-2.4-2.
Unpacking libgmime-2.4-2 (from .../libgmime-2.4-2_2.4.26-0ubuntu2_i386.deb) ...
Selecting previously deselected package libquvi0.
Unpacking libquvi0 (from .../libquvi0_0.2.15-1_i386.deb) ...
Selecting previously deselected package libtotem-plparser17.
Unpacking libtotem-plparser17 (from .../libtotem-plparser17_2.32.6-1_i386.deb) ...
Selecting previously deselected package growisofs.
Unpacking growisofs (from .../growisofs_7.1-10_i386.deb) ...
Selecting previously deselected package dvd+rw-tools.
Unpacking dvd+rw-tools (from .../dvd+rw-tools_7.1-10_i386.deb) ...
Selecting previously deselected package brasero-common.
Unpacking brasero-common (from .../brasero-common_3.2.0-0ubuntu1.1_all.deb) ...
Selecting previously deselected package libbrasero-media3-1.
Unpacking libbrasero-media3-1 (from .../libbrasero-media3-1_3.2.0-0ubuntu1.1_i386.deb) ...
Selecting previously deselected package brasero.
Unpacking brasero (from .../brasero_3.2.0-0ubuntu1.1_i386.deb) ...
Selecting previously deselected package wodim.
Unpacking wodim (from .../wodim_9%3a1.1.11-1ubuntu2_i386.deb) ...
Selecting previously deselected package brasero-cdrkit.
Unpacking brasero-cdrkit (from .../brasero-cdrkit_3.2.0-0ubuntu1.1_i386.deb) ...
Selecting previously deselected package libgeoclue0.
Unpacking libgeoclue0 (from .../libgeoclue0_0.12.0-1ubuntu10_i386.deb) ...
Selecting previously deselected package geoclue.
Unpacking geoclue (from .../geoclue_0.12.0-1ubuntu10_i386.deb) ...
Selecting previously deselected package geoclue-ubuntu-geoip.
Unpacking geoclue-ubuntu-geoip (from .../geoclue-ubuntu-geoip_0.0.2-0ubuntu6_i386.deb) ...
Selecting previously deselected package indicator-appmenu.
Unpacking indicator-appmenu (from .../indicator-appmenu_0.3.1-0ubuntu2_i386.deb) ...
Selecting previously deselected package indicator-datetime.
Unpacking indicator-datetime (from .../indicator-datetime_0.3.1-0ubuntu1_i386.deb) ...
Selecting previously deselected package indicator-power.
Unpacking indicator-power (from .../indicator-power_0.9-0ubuntu2_i386.deb) ...
Selecting previously deselected package indicator-session.
Unpacking indicator-session (from .../indicator-session_0.3.7.1-0ubuntu1.1_i386.deb) ...
Selecting previously deselected package libmono-i18n4.0-cil.
Unpacking libmono-i18n4.0-cil (from .../libmono-i18n4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libmono-i18n-west4.0-cil.
Unpacking libmono-i18n-west4.0-cil (from .../libmono-i18n-west4.0-cil_2.10.5-1_all.deb) ...
Selecting previously deselected package libmtp-runtime.
Unpacking libmtp-runtime (from .../libmtp-runtime_1.1.0-3ubuntu1_i386.deb) ...
Selecting previously deselected package media-player-info.
Unpacking media-player-info (from .../media-player-info_15-1_all.deb) ...
Selecting previously deselected package zeitgeist-extension-fts.
Unpacking zeitgeist-extension-fts (from .../zeitgeist-extension-fts_0.0.13-0ubuntu1_all.deb) ...
Selecting previously deselected package unity-lens-applications.
Unpacking unity-lens-applications (from .../unity-lens-applications_0.4.12-0ubuntu2.1_i386.deb) ...
Selecting previously deselected package unity-lens-files.
Unpacking unity-lens-files (from .../unity-lens-files_0.6.12-0ubuntu1_i386.deb) ...
Selecting previously deselected package unity-lens-music.
Unpacking unity-lens-music (from .../unity-lens-music_0.2.6-0ubuntu2_i386.deb) ...
Selecting previously deselected package unity-scope-musicstores.
Unpacking unity-scope-musicstores (from .../unity-scope-musicstores_0.2.6-0ubuntu2_i386.deb) ...
Processing triggers for man-db ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for shared-mime-info ...
Processing triggers for menu ...
Processing triggers for doc-base ...
Processing 1 added doc-base file...
Registering documents with scrollkeeper...
Processing triggers for gconf2 ...
Processing triggers for libglib2.0-0 ...
Setting up libdbusmenu-qt2 (0.9.0-0ubuntu2) ...
Setting up libmtp-common (1.1.0-3ubuntu1) ...
Setting up libmtp9 (1.1.0-3ubuntu1) ...
Setting up appmenu-gtk (0.3.0-0ubuntu1) ...
Setting up appmenu-gtk3 (0.3.0-0ubuntu1) ...
Setting up appmenu-qt (0.2.2-0ubuntu1.1) ...
Setting up cli-common (0.8~xamarin1) ...
Setting up libgdiplus (2.10-2) ...
Setting up libgmime-2.4-2 (2.4.26-0ubuntu2) ...
Setting up libquvi0 (0.2.15-1) ...
Setting up libtotem-plparser17 (2.32.6-1) ...
Setting up growisofs (7.1-10) ...
Setting up dvd+rw-tools (7.1-10) ...
Setting up brasero-common (3.2.0-0ubuntu1.1) ...
Setting up libbrasero-media3-1 (3.2.0-0ubuntu1.1) ...
Setting up brasero (3.2.0-0ubuntu1.1) ...
Setting up wodim (9:1.1.11-1ubuntu2) ...
Setting up brasero-cdrkit (3.2.0-0ubuntu1.1) ...
Setting up libgeoclue0 (0.12.0-1ubuntu10) ...
Setting up geoclue (0.12.0-1ubuntu10) ...
Setting up geoclue-ubuntu-geoip (0.0.2-0ubuntu6) ...
Setting up indicator-appmenu (0.3.1-0ubuntu2) ...
Setting up indicator-datetime (0.3.1-0ubuntu1) ...
Setting up indicator-power (0.9-0ubuntu2) ...
Setting up indicator-session (0.3.7.1-0ubuntu1.1) ...
Setting up libmtp-runtime (1.1.0-3ubuntu1) ...
Setting up media-player-info (15-1) ...
Setting up zeitgeist-extension-fts (0.0.13-0ubuntu1) ...
Setting up unity-lens-applications (0.4.12-0ubuntu2.1) ...
Setting up unity-lens-files (0.6.12-0ubuntu1) ...
Setting up unity-lens-music (0.2.6-0ubuntu2) ...
Setting up unity-scope-musicstores (0.2.6-0ubuntu2) ...
Setting up libmono-corlib4.0-cil (2.10.5-1) ...
Setting up libmono-cairo4.0-cil (2.10.5-1) ...
Setting up libtaglib2.0-cil (2.0.3.7+dfsg-1build1) ...
* Installing 2 assemblies from libtaglib2.0-cil into Mono
Setting up libmono-system-xml4.0-cil (2.10.5-1) ...
Setting up libmono-security4.0-cil (2.10.5-1) ...
Setting up mono-4.0-gac (2.10.5-1) ...
Setting up mono-gac (2.10.5-1) ...
* Installing 1 assembly from libdbus1.0-cil into Mono
* Installing 1 assembly from libdbus-glib1.0-cil into Mono
* Installing 6 assemblies from libgconf2.0-cil into Mono
* Installing 14 assemblies from libgdata1.7-cil into Mono
* Installing 1 assembly from libgkeyfile1.0-cil into Mono
* Installing 1 assembly from libglib2.0-cil into Mono
* Installing 5 assemblies from libgtk2.0-cil into Mono
* Installing 1 assembly from libgudev1.0-cil into Mono
* Installing 15 assemblies from libmono-addins0.2-cil into Mono
* Installing 5 assemblies from libmono-zeroconf1.0-cil into Mono
* Installing 1 assembly from libnotify0.4-cil into Mono
* Installing 2 assemblies from libtaglib2.0-cil into Mono
update-alternatives: using /usr/bin/gacutil to provide /usr/bin/cli-gacutil (global-assembly-cache-tool) in auto mode.
Setting up mono-runtime (2.10.5-1) ...
update-alternatives: using /usr/bin/mono to provide /usr/bin/cli (cli) in auto mode.
Setting up libmono-i18n4.0-cil (2.10.5-1) ...
Setting up libmono-i18n-west4.0-cil (2.10.5-1) ...
Setting up libmono-system-security4.0-cil (2.10.5-1) ...
Setting up libmono-system-configuration4.0-cil (2.10.5-1) ...
Setting up libmono-system4.0-cil (2.10.5-1) ...
Setting up libmono-posix4.0-cil (2.10.5-1) ...
Setting up libmono-system-core4.0-cil (2.10.5-1) ...
Setting up libdbus1.0-cil (0.7.0-4) ...
* Installing 1 assembly from libdbus1.0-cil into Mono
Setting up libdbus-glib1.0-cil (0.5.0-3build1) ...
* Installing 1 assembly from libdbus-glib1.0-cil into Mono
Setting up libglib2.0-cil (2.12.10-2ubuntu1) ...
* Installing 1 assembly from libglib2.0-cil into Mono
Setting up libgconf2.0-cil (2.24.2-1) ...
* Installing 6 assemblies from libgconf2.0-cil into Mono
Setting up libgdata1.7-cil (1.7.0.1-1build1) ...
* Installing 14 assemblies from libgdata1.7-cil into Mono
Setting up libgkeyfile1.0-cil (0.1-2ubuntu2) ...
* Installing 1 assembly from libgkeyfile1.0-cil into Mono
Setting up libmono-system-drawing4.0-cil (2.10.5-1) ...
Setting up libgtk2.0-cil (2.12.10-2ubuntu1) ...
* Installing 5 assemblies from libgtk2.0-cil into Mono
Setting up libgtk-sharp-beans-cil (2.14.1-2build2) ...
Setting up libgudev1.0-cil (0.1-2build1) ...
* Installing 1 assembly from libgudev1.0-cil into Mono
Setting up libmono-sharpzip4.84-cil (2.10.5-1) ...
Setting up libmono-addins0.2-cil (0.6.1-2ubuntu1) ...
* Installing 15 assemblies from libmono-addins0.2-cil into Mono
Setting up libmono-zeroconf1.0-cil (0.9.0-3~ubuntu0.1) ...
* Installing 5 assemblies from libmono-zeroconf1.0-cil into Mono
Setting up libnotify0.4-cil (0.4.0~r3032-4~ubuntu0.1) ...
* Installing 1 assembly from libnotify0.4-cil into Mono
Setting up banshee (2.2.1-1ubuntu3) ...
Setting up banshee-extension-soundmenu (2.2.1-1ubuntu3) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for menu ...
marco@ThinkPad:~$ sudo apt-get purge unity
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gir1.2-folks-0.6 gir1.2-polkit-1.0 mutter-common gir1.2-json-1.0 libcaribou0 gir1.2-accountsservice-1.0
  gir1.2-gstreamer-0.10 gir1.2-clutter-1.0 gir1.2-atspi-2.0 epiphany-browser-data gir1.2-gkbd-3.0
  gir1.2-networkmanager-1.0 libseed-gtk3-0 caribou libfolks25 libmutter0 gir1.2-mutter-3.0 gjs
  gir1.2-caribou-1.0 libtelepathy-logger2 gir1.2-telepathylogger-0.2 gnome-js-common cups-pk-helper
  libatspi2.0-0 gir1.2-upowerglib-1.0 python-pyatspi2 gir1.2-cogl-1.0 libmozjs185-1.0
  gir1.2-telepathyglib-0.12 gir1.2-gee-1.0 libgjs0c gnome-shell-common
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libdconf-dbus-1-0 libdconf-qt0 libqtbamf1 libqtdee2 libqtgconf1 libunity-2d-private0 unity-2d
  unity-2d-launcher unity-2d-panel unity-2d-places unity-2d-spread
The following packages will be REMOVED
  unity*
The following NEW packages will be installed
  libdconf-dbus-1-0 libdconf-qt0 libqtbamf1 libqtdee2 libqtgconf1 libunity-2d-private0 unity-2d
  unity-2d-launcher unity-2d-panel unity-2d-places unity-2d-spread
0 upgraded, 11 newly installed, 1 to remove and 0 not upgraded.
Need to get 1,046 kB of archives.
After this operation, 1,221 kB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.
marco@ThinkPad:~$ sudo apt-get remove unity
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gir1.2-folks-0.6 gir1.2-polkit-1.0 mutter-common gir1.2-json-1.0 libcaribou0 gir1.2-accountsservice-1.0
  gir1.2-gstreamer-0.10 gir1.2-clutter-1.0 gir1.2-atspi-2.0 epiphany-browser-data gir1.2-gkbd-3.0
  gir1.2-networkmanager-1.0 libseed-gtk3-0 caribou libfolks25 libmutter0 gir1.2-mutter-3.0 gjs
  gir1.2-caribou-1.0 libtelepathy-logger2 gir1.2-telepathylogger-0.2 gnome-js-common cups-pk-helper
  libatspi2.0-0 gir1.2-upowerglib-1.0 python-pyatspi2 gir1.2-cogl-1.0 libmozjs185-1.0
  gir1.2-telepathyglib-0.12 gir1.2-gee-1.0 libgjs0c gnome-shell-common
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libdconf-dbus-1-0 libdconf-qt0 libqtbamf1 libqtdee2 libqtgconf1 libunity-2d-private0 unity-2d
  unity-2d-launcher unity-2d-panel unity-2d-places unity-2d-spread
The following packages will be REMOVED
  unity
The following NEW packages will be installed
  libdconf-dbus-1-0 libdconf-qt0 libqtbamf1 libqtdee2 libqtgconf1 libunity-2d-private0 unity-2d
  unity-2d-launcher unity-2d-panel unity-2d-places unity-2d-spread
0 upgraded, 11 newly installed, 1 to remove and 0 not upgraded.
Need to get 1,046 kB of archives.
After this operation, 1,221 kB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.
marco@ThinkPad ~$

What am I doing wrong? Is this a bug?

share|improve this question

1 Answer 1

up vote 2 down vote accepted

No, this is not a bug. If you remove a system critical package, it must be replaced with something that can take it's place. If, on the other hand, the package being removed is not system critical, yes, it is a bug and should be reported to launchpad. A browser is required for correct operation. If you remove Firefox and replace it with something else, then when removing something else, it is replaced by a usable browser.

If any -desktop package is installed, when installing and removing the components needed for that package, it insures enough packages remain for your desktop to actually work.

share|improve this answer
    
But then, how do I remove all these unneeded packages that come up after removing gnome-shell, since all I want is Xubuntu and XFCE sessions. I removed the '.desktop' files, but I want to rid the system of all the unnecessary packages I just installed. –  Marco Scannadinari Apr 8 '12 at 18:08

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.